Mission = {
};


function Mission:OnInit()
	-- you may want to load a string-table etc. here...
end

function Mission:OnUpdate()
	local i;
	local bFinished=1;
	for i,objective in Mission do
		if (type(objective)~="function") then
			if (objective==0) then 
				bFinished=0;				
			else
			end
		end	
	end
	if (bFinished==1) then	
		self.Finish();
	end
end


function Mission:Finish()
	-- go to next mission...
end


function Mission:Event_MissionFinished()
	Game:SendMessage('StartLevelFade down');
end

function Mission:Event_HutSearch()
	Hud:AddMessage(Localize("NewObjective"),9);
	
	Hud:PushObjective({},Localize("Find the Clipboard in the Hut Near the CliffSide Avoid Contact as Possible"))
        Hud:SetRadarObjective("HUT");
end

function Mission:Event_CLIPDONE()
	Hud:AddMessage(Localize("NewObjective"),9);

	Hud:CompleteObjective(Localize("Find the Clipboard in the Hut Near the CliffSide Avoid Contact as Possible"))

	Hud:PushObjective({},Localize("Get to the Airplane and Escape With Doyle"))
	Hud:SetRadarObjective("AIR");	
end

function Mission:Event_NOTYET()
	Hud:AddMessage(Localize("NewObjective"),9);

	Hud:CompleteObjective(Localize("Get to the Airplane and Escape With Doyle"))

	Hud:PushObjective({},Localize("First Clear up the Area of Mercenaries"))
end

function Mission:Event_Doneit()
	Hud:AddMessage(Localize("NewObjective"),9);

	Hud:CompleteObjective(Localize("First Clear up the Area of Mercenaries"))
end
